// ControlAttachingDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ControlAttaching.h"
#include "ControlAttachingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnBnClickedOk();
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
  ON_BN_CLICKED(IDOK, OnBnClickedOk)
END_MESSAGE_MAP()


// CControlAttachingDlg dialog



CControlAttachingDlg::CControlAttachingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlAttachingDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CControlAttachingDlg::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_COMBO3, m_combo3);
}

BEGIN_MESSAGE_MAP(CControlAttachingDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
  ON_BN_CLICKED(IDC_GETDLGITEM, OnBnClickedGetdlgitem)
  ON_BN_CLICKED(IDC_USINGATTACH, OnBnClickedUsingattach)
  ON_WM_DESTROY()
  ON_BN_CLICKED(IDC_USINGDDX, OnBnClickedUsingddx)
  ON_BN_CLICKED(IDC_DYNAMICCREATION, OnBnClickedDynamiccreation)
  ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
END_MESSAGE_MAP()


// CControlAttachingDlg message handlers

BOOL CControlAttachingDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CControlAttachingDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CControlAttachingDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CControlAttachingDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CControlAttachingDlg::OnBnClickedGetdlgitem()
{
  CComboBox* pCbo = (CComboBox*)GetDlgItem(IDC_COMBO1);
  ASSERT(pCbo);
  if (pCbo)
  {
    pCbo->AddString("GetDlgItem");
    pCbo->SetCurSel(0);
 }
}

void CControlAttachingDlg::OnBnClickedUsingattach()
{
  if (NULL == m_combo2.GetSafeHwnd())
  {
    HWND hwnd;
    GetDlgItem(IDC_COMBO2, &hwnd);
    if (hwnd)
    {
      m_combo2.Attach(hwnd);
      m_combo2.AddString("Using Attach - 1");
      m_combo2.AddString("Using Attach - 2");
      m_combo2.SetCurSel(0);
    }
  }
}

void CControlAttachingDlg::OnDestroy()
{
  CDialog::OnDestroy();

  m_combo2.Detach();
}

void CControlAttachingDlg::OnBnClickedUsingddx()
{
  m_combo3.AddString("Using DDX");
  m_combo3.SetCurSel(0);
}

void CControlAttachingDlg::OnBnClickedDynamiccreation()
{
  if (NULL == m_combo4.GetSafeHwnd())
  {
    CComboBox* pExistingCombo =
    (CComboBox*)GetDlgItem(IDC_COMBO2);
    CWnd* pUsingDynamic = GetDlgItem(IDC_DYNAMICCREATION);
    ASSERT(pExistingCombo && pUsingDynamic);

    if (pExistingCombo && pUsingDynamic)
    {
      CRect rectCombo, rectDropdown;
      pExistingCombo->GetWindowRect(rectCombo);
      ScreenToClient(rectCombo);

      CRect rectButton;
      pUsingDynamic->GetWindowRect(rectButton);
      ScreenToClient(rectButton);

      rectCombo.right = rectButton.left + rectCombo.Width();
      rectCombo.left = rectButton.left;

      pExistingCombo->GetDroppedControlRect(rectDropdown);
      ScreenToClient(rectDropdown);
      rectCombo.bottom += rectDropdown.Height();

      DWORD dwStyle = pExistingCombo->GetStyle();
      m_combo4.Create(dwStyle, rectCombo, this, 1222);

      m_combo4.AddString("Dynamic-1");
      m_combo4.AddString("Dynamic-2");
      m_combo4.SetCurSel(0);
      m_combo4.SetFocus();
    }
  }
}

void CAboutDlg::OnBnClickedOk()
{
  CWaitCursor wait;

  CString strUrl = "http://www.thecodechannel.com/redirect.asp?u=/&s=vcnb";
  if (32 >= (int)ShellExecute(NULL, "open", strUrl, NULL, NULL, SW_SHOWNORMAL))
  {
    AfxMessageBox("::ShellExecute failed to open this link!");
  }
}

void CControlAttachingDlg::OnBnClickedButton1()
{
  CAboutDlg().DoModal();
}
